Entities
Get an entity
GET
/
entities
/
{entityId}
Get an entity
const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.melio.com/v2/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.melio.com/v2/entities/{entityId}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.melio.com/v2/entities/{entityId} \
--header 'api-key: <api-key>'HttpResponse<String> response = Unirest.get("https://api.melio.com/v2/entities/{entityId}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.melio.com/v2/entities/{entityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.melio.com/v2/entities/{entityId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "ent_7c9e6679-7425-40de-944b-e07fc1f90ae7",
"type": "business",
"externalId": "partner-biz-1234",
"createdAt": "2026-07-08T15:00:00Z",
"updatedAt": "2026-07-08T15:00:00Z",
"name": "Acme Supplies",
"legalName": "Acme Supplies LLC",
"businessType": "llc",
"taxInfo": {
"type": "ein",
"identifierLast4": "6789"
},
"phoneNumber": "+12125551234",
"contact": {
"firstName": "Jane",
"lastName": "Doe"
},
"website": "https://acmesupplies.com",
"address": {
"line1": "350 5th Ave",
"city": "New York",
"state": "NY",
"postalCode": "10118",
"countryCode": "US"
},
"legalAddress": {
"line1": "350 5th Ave",
"city": "New York",
"state": "NY",
"postalCode": "10118",
"countryCode": "US"
},
"industry": {
"naicsCode": "424410"
},
"owner": {
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]"
}
}{
"error": {
"type": "invalid_request_error",
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Path Parameters
Response
The entity.
Free-form string key/value pairs stored and returned verbatim, never interpreted by Melio. Up to 500 keys; each key 1 to 40 chars and may not contain square brackets ([ ], reserved for the metadata[key] filter); value ≤100 chars. The whole object must serialize to at most 128KB of JSON. Filterable via metadata[key].
Get an entity
const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.melio.com/v2/entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.melio.com/v2/entities/{entityId}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.melio.com/v2/entities/{entityId} \
--header 'api-key: <api-key>'HttpResponse<String> response = Unirest.get("https://api.melio.com/v2/entities/{entityId}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.melio.com/v2/entities/{entityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.melio.com/v2/entities/{entityId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "ent_7c9e6679-7425-40de-944b-e07fc1f90ae7",
"type": "business",
"externalId": "partner-biz-1234",
"createdAt": "2026-07-08T15:00:00Z",
"updatedAt": "2026-07-08T15:00:00Z",
"name": "Acme Supplies",
"legalName": "Acme Supplies LLC",
"businessType": "llc",
"taxInfo": {
"type": "ein",
"identifierLast4": "6789"
},
"phoneNumber": "+12125551234",
"contact": {
"firstName": "Jane",
"lastName": "Doe"
},
"website": "https://acmesupplies.com",
"address": {
"line1": "350 5th Ave",
"city": "New York",
"state": "NY",
"postalCode": "10118",
"countryCode": "US"
},
"legalAddress": {
"line1": "350 5th Ave",
"city": "New York",
"state": "NY",
"postalCode": "10118",
"countryCode": "US"
},
"industry": {
"naicsCode": "424410"
},
"owner": {
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]"
}
}{
"error": {
"type": "invalid_request_error",
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}